import React, { FC } from 'react';
import { SafeAreaView } from 'react-native-safe-area-context';
import { styles } from './styles';
import { StatusBar } from 'react-native';

interface Props {
  topColor?: string;
  bottomColor?: string;
  children?: JSX.Element | JSX.Element[];
}

export const AreaWrapper: FC<Props> = ({
  children,
  topColor= styles.safeAreaTop.backgroundColor,
  bottomColor= styles.safeAreaBottom.backgroundColor,
}) => {
  return (
    <>
      <StatusBar
        backgroundColor={topColor}
        translucent={true}
      />
      <SafeAreaView edges={['top']} style={[styles.safeAreaTop, { backgroundColor: topColor } ]}>
        {children}
      </SafeAreaView>
    </>
  );
};

/*
<>
      <SafeAreaView
        edges={['top']}
        style={[styles.safeAreaTop, { backgroundColor: topColor }]}
      />
      <SafeAreaView edges={['bottom']} style={[styles.safeAreaBottom, { backgroundColor: bottomColor }]}>
        {children}
      </SafeAreaView>
    </>
 */
